{% macro details_info(key,value) %} 
    <li>{{ key }} : {{ value}}</li>
{% endmacro %}

<h1>Hello World!</h1>
<hr>
<h2>ISM is cool</h2>

<ul>
    <li>Nom de l'étudiant: {{ info['etudiant'] | upper }}</li>
    <li>Type de Diplôme: {{ info['diplome'] }}</li>
    <li>Niveau: {{ info['niveau'] }}</li>
    <li>Ecole: {{ info['ecole'] }}</li>
</ul>

<ol>
    {% for key, value in info.items() %}
    {{ details_info(key,value) }}
    {% endfor %}

</ol>


        {% if info['niveau'] == 3 %}
        <h4 style="border: 2px solid black; padding: 5px; border-radius: 5px; background-color: green; color: white">
            C'est votre dernière annèe pour l'obtention du Bachelor
        </h4>
        {% else %}
        <h4 style="border: 2px solid black; padding: 5px; border-radius: 5px; background-color: red; color: white">
            Il vous reste {{ (3 - info['niveau']) }} année(s) d'études
        </h4>
        {% endif %}

    </h4>

